]> arthur.barton.de Git - bup.git/blobdiff - cmd/fuse-cmd.py
Configure python, use it, and embed during install
[bup.git] / cmd / fuse-cmd.py
index 30776cb36b0013adf0bf49de831b5768baa349f6..3708692975dc9be8dc55675d28268180b98b67ae 100755 (executable)
@@ -1,4 +1,9 @@
-#!/usr/bin/env python
+#!/bin/sh
+"""": # -*-python-*-
+bup_python="$(dirname "$0")/bup-python" || exit $?
+exec "$bup_python" "$0" ${1+"$@"}
+"""
+# end of bup preamble
 import sys, os, errno
 from bup import options, git, vfs, xstat
 from bup.helpers import *